Bug 135156 - perl-Frontier-RPM should Depend: on perl-Crypt-SSLeay
perl-Frontier-RPM should Depend: on perl-Crypt-SSLeay
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-Frontier-RPC (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 08:53 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-09 15:23:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-10-09 08:53:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
In order to support https queries, p-F-R needs p-C-S. It will work
without (and throw an error message if https is tried, stating that
p-C-S is needed). Since p-C-S is rather small, p-F-R ought to pull it in.

Version-Release number of selected component (if applicable):
perl-Frontier-RPC-0.06-38

How reproducible:
Always

Steps to Reproduce:
1. Install p-F-R (without p-C-S)
2. Try a https request
3.
    

Actual Results:  Error message stating that p-C-S is needed

Expected Results:  Users should not have to worry about this.

Additional info:
Comment 1 Chip Turner 2004-10-09 15:23:18 EDT
Realistically, if we were to add a requirement on perl-Crypt-SSLeay, it would be to perl-
libwww-perl (which contains the http routines Frontier uses).  However, both modules 
function sufficiently well without the added requirement to not qualify as absolutely 
requiring ssl functionality.  If RPM supported a 'suggests' capability, I would add it there, 
but adding a hard dependency when the module in question functions properly without it 
is not the right choice.

Note You need to log in before you can comment on or make changes to this bug.